The Open Group Base Specifications Issue 6
IEEE Std 1003.1, 2004 Edition
Copyright © 2001-2004 The IEEE and The Open Group, All Rights reserved.

#### NAME

> h_errno - error return value for network database operations

#### SYNOPSIS

> ``[OB] #include <netdb.h>``

#### DESCRIPTION

> This method of returning errors is used only in connection with obsolescent functions.

> The <netdb.h> header provides a declaration of h_errno as a modifiable lvalue of type int.

> It is unspecified whether h_errno is a macro or an identifier declared with external linkage. If a macro definition is suppressed in order to access an actual object, or a program defines an identifier with the name h_errno, the behavior is undefined.

#### RETURN VALUE

> None.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> Applications should obtain the definition of h_errno by the inclusion of the <netdb.h> header.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> h_errno may be withdrawn in a future version.

#### SEE ALSO

> endhostent(), errno(), the Base Definitions volume of IEEE Std 1003.1-2001, <netdb.h>

#### CHANGE HISTORY

> First released in Issue 6. Derived from the XNS, Issue 5.2 specification.

End of informative text.

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
[ Main Index | XBD | XCU | XSH | XRAT ]